MeiroDocs

Funnel Charts

Required feature: **funnels/*/view**

Section: Group Funnel Charts. Base URL: https://instance_name.meiro.io/api/.

Funnel Chart [/funnel_groups/{group_id}/funnels/{chart_id}]

Retrieve Funnel Chart [GET]

Required feature: funnels/*/view

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

    • Attributes (Chart)

Modify Funnel Chart [PATCH]

Required feature: funnels/*/edit

  • Attributes (ChartUpdate)

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

    • Attributes (Chart)

Delete Funnel Chart [DELETE]

Required feature: funnels/*/edit

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "message": "OK"
}

Funnel Charts [/funnel_groups/{group_id}/funnels]

List All Funnel Charts [GET]

Required feature: funnels/*/view

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

    • Attributes (ChartList)

Create Funnel Chart [POST]

Required feature: funnels/*/edit

  • Attributes (ChartCreate)

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 201 (application/json)

    • Attributes (Chart)

Funnels Chart Move [/funnel_groups/{group_id}/funnels/{chart_id}/move]

Move Funnel Chart [PATCH]

Required feature: funnels/*/edit

  • Attributes (ChartMove)

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "message": "OK"
}

Funnel Charts Clone [/funnel_groups/{group_id}/funnels/{chart_id}/clone]

Clone Funnel Chart [POST]

Required feature: funnels/*/edit

  • Attributes (ChartClone)

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

    • Attributes (Chart)

Trashed Funnel Charts [/funnel_groups/funnels/trash]

List All Trashed Funnel Charts [GET]

Required feature: funnels/*/view

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

    • Attributes (TrashedChartList)

Trashed Funnel Chart [/funnel_groups/{funnel_group_id}/funnels/{funnel_id}/trash]

Restore Trashed Funnel Chart [PATCH]

Required feature: funnels/*/edit

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

    • Attributes (Chart)

On this page